<?php

namespace DMZ\Http\Requests\Web;

use DMZ\Http\Requests\Request;

class MultimediaPutRequest extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'title' => 'required|max:255',
            'embed' => 'required',
            'description' => 'required', 
            'publish_up' => 'date|required', 
              ];
 
    }

    public function messages()
    {
        return [
            'title.required' => 'El nombre es obligatorio',  
            'title.max' => 'El nombre es muy extenso',  
            'embed.required' => 'El código "EMBED" es requerido',  
            'description.required' => 'Debe ingresar una descripción',  
            'publish_up.date' => 'La fecha no es corrects',  
            'publish_up.required' => 'Debe ingresar una fechad e publicación',  
        ];
    }

}
